Mounted USB nicht und kann mich nicht abmelden

betaros

betaros

Computerspezi
Moin,

ich habe mal wieder Arch aufgesetzt. Dieses mal mit XFCE und Slim. Nun habe ich so meine Probleme mit dem mounten von Festplatten und dem herunterfahren.

Zum mounten:

Wenn ich einen USB-Stick einstecke, sollte er eigendlich, wei unter Gnome diesen Stick erkennen und einhängen, wenn ich darauf klicke. Es kommt jedoch, dass er sagt: Not Authorized. ;(

Zum Herunterfahren:

Wenn ich das System herunterfahren will und auf den Abmeldenknopf drücke, dann kann ich nicht neustarten oder herunterfahren. ;(

Ich glaube ja, dass es an den Rechten liegt, aber ich kenne mich damit nicht so aus.

Meine Gruppen:
Code:
[root@neo betaros]# groups betaros
lp wheel network video audio optical storage power dbus plugdev users
Meine /etc/group
Code:
[root@neo betaros]# cat /etc/group
root:x:0:root
bin:x:1:root,bin,daemon
daemon:x:2:root,bin,daemon
sys:x:3:root,bin
adm:x:4:root,daemon
tty:x:5:
disk:x:6:root
lp:x:7:daemon,betaros
mem:x:8:
kmem:x:9:
wheel:x:10:root,betaros
ftp:x:11:
mail:x:12:
uucp:x:14:
log:x:19:root
locate:x:21:
rfkill:x:24:
smmsp:x:25:
http:x:33:
games:x:50:
network:x:90:betaros
video:x:91:betaros
audio:x:92:betaros
optical:x:93:betaros,hal
floppy:x:94:hal
storage:x:95:betaros,hal
scanner:x:96:
power:x:98:betaros
nobody:x:99:
users:x:100:
dbus:x:81:betaros
avahi:x:84:
hal:x:82:
usbmux:x:140:
plugdev:x:1000:betaros

Wie kann ich die Probleme lösen?

mfg
betaros
 
Code:
[betaros@neo ~]$ cat .xinitrc 
#!/bin/sh
#
# ~/.xinitrc
#
# Executed by startx (run your window manager from here)

# exec gnome-session
# exec startkde
exec startxfce4
# ...or the Window Manager of your choice
 
Änder das mal um in folgendes:
Code:
exec ck-launch-session startxfce4
 
@defcon:

Es funktioniert! Vielen Dank! Darauf wär ich nie gekommen :D
 
Hallo alle miteinander!

Ich habe dasselbe Problem, kann als normaler Nutzer auch nicht auf die USB-Sticks zugreifen. Meine xinitrc sieht so aus:
Code:
#!/bin/sh

# /etc/X11/xinit/xinitrc
#
# global xinitrc file, used by all X sessions started by xinit (startx)

# invoke global X session script
. /etc/X11/Xsession
Und die . /etc/X11/Xsession sieht so aus (falls sie gebraucht wird):
Code:
#!/bin/sh
#
# /etc/X11/Xsession
#
# global Xsession file -- used by display managers and xinit (startx)

# $Id: Xsession 967 2005-12-27 07:20:55Z dnusinow $

set -e

PROGNAME=Xsession

message () {
  # pretty-print messages of arbitrary length; use xmessage if it
  # is available and $DISPLAY is set
  MESSAGE="$PROGNAME: $*"
  echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2
  if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
    echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
  fi
}

message_nonl () {
  # pretty-print messages of arbitrary length (no trailing newline); use
  # xmessage if it is available and $DISPLAY is set
  MESSAGE="$PROGNAME: $*"
  echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2;
  if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
    echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
  fi
}

errormsg () {
  # exit script with error
  message "$*"
  exit 1
}

internal_errormsg () {
  # exit script with error; essentially a "THIS SHOULD NEVER HAPPEN" message
  # One big call to message() for the sake of xmessage; if we had two then
  # the user would have dismissed the error we want reported before seeing the
  # request to report it.
  errormsg "$*" \
           "Please report the installed version of the \"x11-common\"" \
           "package and the complete text of this error message to" \
           "<debian-x@lists.debian.org>."
}

# initialize variables for use by all session scripts

OPTIONFILE=/etc/X11/Xsession.options

SYSRESOURCES=/etc/X11/Xresources
USRRESOURCES=$HOME/.Xresources

SYSSESSIONDIR=/etc/X11/Xsession.d
USERXSESSION=$HOME/.xsession
USERXSESSIONRC=$HOME/.xsessionrc
ALTUSERXSESSION=$HOME/.Xsession
ERRFILE=$HOME/.xsession-errors

# attempt to create an error file; abort if we cannot
if (umask 077 && touch "$ERRFILE") 2> /dev/null && [ -w "$ERRFILE" ] &&
  [ ! -L "$ERRFILE" ]; then
  chmod 600 "$ERRFILE"
elif ERRFILE=$(tempfile 2> /dev/null); then
  if ! ln -sf "$ERRFILE" "${TMPDIR:=/tmp}/xsession-$USER"; then
    message "warning: unable to symlink \"$TMPDIR/xsession-$USER\" to" \
             "\"$ERRFILE\"; look for session log/errors in" \
             "\"$TMPDIR/xsession-$USER\"."
  fi
else
  errormsg "unable to create X session log/error file; aborting."
fi

exec >>"$ERRFILE" 2>&1

echo "$PROGNAME: X session started for $LOGNAME at $(date)"

# sanity check; is our session script directory present?
if [ ! -d "$SYSSESSIONDIR" ]; then
  errormsg "no \"$SYSSESSIONDIR\" directory found; aborting."
fi

# Attempt to create a file of non-zero length in /tmp; a full filesystem can
# cause mysterious X session failures.  We do not use touch, :, or test -w
# because they won't actually create a file with contents.  We also let standard
# error from tempfile and echo go to the error file to aid the user in
# determining what went wrong.
WRITE_TEST=$(tempfile)
if ! echo "*" >>"$WRITE_TEST"; then
  message "warning: unable to write to ${WRITE_TEST%/*}; X session may exit" \
          "with an error"
fi
rm -f "$WRITE_TEST"

# use run-parts to source every file in the session directory; we source
# instead of executing so that the variables and functions defined above
# are available to the scripts, and so that they can pass variables to each
# other
SESSIONFILES=$(run-parts --list $SYSSESSIONDIR)
if [ -n "$SESSIONFILES" ]; then
  set +e
  for SESSIONFILE in $SESSIONFILES; do
    . $SESSIONFILE
  done
  set -e
fi

exit 0

# vim:set ai et sts=2 sw=2 tw=80:
Kann mir jemand zur Hand gehen? Danke!

Gruß icke68746
 

Ähnliche Themen

Ubuntu X / dbus problem

Schreibrechte auf USB Stick

[openSuse10.2] SATA mal wieder...

Externe Medien nicht mountbar

k3b - cdr brennen, ab 226mb geschw. einbruch

Zurück
Oben